Skip to content

Notifications

All operations require authentication.

21 operationsv1 · v2/me/notification · /notification/contactMean · /notification/history · +2
Agent setup

Retrieve every email sent to youProduction

GET
/1.0/me/notification/email/history

Response

200integer[]successful operation

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/1.0/me/notification/email/history \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Retrieve information about an emailProduction

GET
/1.0/me/notification/email/history/{id}

Path parameters

id
required
integer

Id

Response

200EmailNotificationsuccessful operation
body
read-only
string

Content of the email

date
read-only
stringdate-time

Date at which the email was sent

id
read-only
integer

ID of the email notification

subject
read-only
string

Subject of the email

Example uses id = 0

$ curl https://api.eu.ovhcloud.com/1.0/me/notification/email/history/{id} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "body": "string", "date": "2024-01-01T12:00:00Z", "id": 0, "subject": "string"}

Retrieve every contact meanProduction

GET
/v2/notification/contactMean

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200ContactMean[]successful operation
createdAt
read-only
stringdate-time

Date at which the contact mean was created

currentTasks
read-only
CurrentTask[]

Task to do on this contact mean

default
read-only
boolean

Is this the default contact mean

description
string

Arbitrary description for this contact mean

email
read-only
string

When type is EMAIL, the email address this contact mean uses

error
read-only
string

When status is ERROR, details about the error

id
read-only
stringuuid

Unique identifier of the contact mean

status
StatusEnum

Status of the contact mean

ValuesDISABLEDERRORTO_VALIDATEVALID
type
read-only
TypeEnum

Type of the contact mean

ValuesEMAIL
400objectError 400 response

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/v2/notification/contactMean \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "createdAt": "2024-01-01T12:00:00Z", "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "default": true, "description": "string", "email": "string", "error": "string", "id": "00000000-0000-0000-0000-000000000000", "status": "DISABLED", "type": "EMAIL" }]

Create a contact meanProduction

POST
/v2/notification/contactMean

Request body (required)

description
string

Arbitrary description for this contact mean

email
string

When type is EMAIL, the email address that will be used

type
required
TypeEnum

Type of the contact mean to create

ValuesEMAIL

Response

200ContactMeansuccessful operation
createdAt
read-only
stringdate-time

Date at which the contact mean was created

currentTasks
read-only
CurrentTask[]

Task to do on this contact mean

default
read-only
boolean

Is this the default contact mean

description
string

Arbitrary description for this contact mean

email
read-only
string

When type is EMAIL, the email address this contact mean uses

error
read-only
string

When status is ERROR, details about the error

id
read-only
stringuuid

Unique identifier of the contact mean

status
StatusEnum

Status of the contact mean

ValuesDISABLEDERRORTO_VALIDATEVALID
type
read-only
TypeEnum

Type of the contact mean

ValuesEMAIL
400objectError 400 response

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/v2/notification/contactMean \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdAt": "2024-01-01T12:00:00Z", "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "default": true, "description": "string", "email": "string", "error": "string", "id": "00000000-0000-0000-0000-000000000000", "status": "DISABLED", "type": "EMAIL"}

Retrieve information about a contact meanProduction

GET
/v2/notification/contactMean/{contactMeanId}

Path parameters

contactMeanId
required
stringuuid

Contact mean ID

Response

200ContactMeansuccessful operation
createdAt
read-only
stringdate-time

Date at which the contact mean was created

currentTasks
read-only
CurrentTask[]

Task to do on this contact mean

default
read-only
boolean

Is this the default contact mean

description
string

Arbitrary description for this contact mean

email
read-only
string

When type is EMAIL, the email address this contact mean uses

error
read-only
string

When status is ERROR, details about the error

id
read-only
stringuuid

Unique identifier of the contact mean

status
StatusEnum

Status of the contact mean

ValuesDISABLEDERRORTO_VALIDATEVALID
type
read-only
TypeEnum

Type of the contact mean

ValuesEMAIL
404objectError 404 response

Example uses contactMeanId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/notification/contactMean/{contactMeanId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdAt": "2024-01-01T12:00:00Z", "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "default": true, "description": "string", "email": "string", "error": "string", "id": "00000000-0000-0000-0000-000000000000", "status": "DISABLED", "type": "EMAIL"}

Update a contact meanProduction

PUT
/v2/notification/contactMean/{contactMeanId}

Path parameters

contactMeanId
required
stringuuid

Contact mean ID

Request body (required)

createdAt
read-only
stringdate-time

Date at which the contact mean was created

currentTasks
read-only
CurrentTask[]

Task to do on this contact mean

default
read-only
boolean

Is this the default contact mean

description
string

Arbitrary description for this contact mean

email
read-only
string

When type is EMAIL, the email address this contact mean uses

error
read-only
string

When status is ERROR, details about the error

id
read-only
stringuuid

Unique identifier of the contact mean

status
StatusEnum

Status of the contact mean

ValuesDISABLEDERRORTO_VALIDATEVALID
type
read-only
TypeEnum

Type of the contact mean

ValuesEMAIL

Response

200ContactMeansuccessful operation
createdAt
read-only
stringdate-time

Date at which the contact mean was created

currentTasks
read-only
CurrentTask[]

Task to do on this contact mean

default
read-only
boolean

Is this the default contact mean

description
string

Arbitrary description for this contact mean

email
read-only
string

When type is EMAIL, the email address this contact mean uses

error
read-only
string

When status is ERROR, details about the error

id
read-only
stringuuid

Unique identifier of the contact mean

status
StatusEnum

Status of the contact mean

ValuesDISABLEDERRORTO_VALIDATEVALID
type
read-only
TypeEnum

Type of the contact mean

ValuesEMAIL
400objectError 400 response
404objectError 404 response

Example uses contactMeanId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/notification/contactMean/{contactMeanId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdAt": "2024-01-01T12:00:00Z", "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "default": true, "description": "string", "email": "string", "error": "string", "id": "00000000-0000-0000-0000-000000000000", "status": "DISABLED", "type": "EMAIL"}

Delete the contact meanProduction

DELETE
/v2/notification/contactMean/{contactMeanId}

Path parameters

contactMeanId
required
stringuuid

Contact mean ID

Response

200—successful operation

Example uses contactMeanId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/notification/contactMean/{contactMeanId} \
  -H "authorization: Bearer $OVH_TOKEN"

Restart the validation process for this contact mean, if you did not receive the OTPProduction

POST
/v2/notification/contactMean/{contactMeanId}/restartValidation

Path parameters

contactMeanId
required
stringuuid

Contact mean ID

Response

200ContactMeansuccessful operation
createdAt
read-only
stringdate-time

Date at which the contact mean was created

currentTasks
read-only
CurrentTask[]

Task to do on this contact mean

default
read-only
boolean

Is this the default contact mean

description
string

Arbitrary description for this contact mean

email
read-only
string

When type is EMAIL, the email address this contact mean uses

error
read-only
string

When status is ERROR, details about the error

id
read-only
stringuuid

Unique identifier of the contact mean

status
StatusEnum

Status of the contact mean

ValuesDISABLEDERRORTO_VALIDATEVALID
type
read-only
TypeEnum

Type of the contact mean

ValuesEMAIL
400objectError 400 response
404objectError 404 response

Example uses contactMeanId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/notification/contactMean/{contactMeanId}/restartValidation \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdAt": "2024-01-01T12:00:00Z", "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "default": true, "description": "string", "email": "string", "error": "string", "id": "00000000-0000-0000-0000-000000000000", "status": "DISABLED", "type": "EMAIL"}

Get the list of tasks on a contact meanProduction

GET
/v2/notification/contactMean/{contactMeanId}/task

Path parameters

contactMeanId
required
stringuuid

Contact mean ID

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200Task[]successful operation
createdAt
read-only
stringdate-time

Creation date of the task

errors
read-only
TaskError[]

Errors that occurred on the task

finishedAt
read-only
stringdate-time

Ending date of the task

id
read-only
stringuuid

Unique identifier of the task

link
read-only
string

Link to the related resource

message
read-only
string

Description of the task

progress
read-only
TaskProgress[]

Progress steps of the asynchronous operation

startedAt
read-only
stringdate-time

Starting date of the task

status
read-only
TaskStatusEnum

Current global status of the task

ValuesDONEERRORPENDINGRUNNINGSCHEDULEDWAITING_USER_INPUT
type
read-only
string

Type of the task

updatedAt
read-only
stringdate-time

Last update of the task

400objectError 400 response
404objectError 404 response

Example uses contactMeanId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/notification/contactMean/{contactMeanId}/task \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "createdAt": "2024-01-01T12:00:00Z", "errors": [ { "message": "string" } ], "finishedAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "link": "string", "message": "string", "progress": [ { "name": "string", "status": "DONE" } ], "startedAt": "2024-01-01T12:00:00Z", "status": "DONE", "type": "string", "updatedAt": "2024-01-01T12:00:00Z" }]

Get a task on a contact meanProduction

GET
/v2/notification/contactMean/{contactMeanId}/task/{taskId}

Path parameters

contactMeanId
required
stringuuid

Contact mean ID

taskId
required
stringuuid

Task ID

Response

200Tasksuccessful operation
createdAt
read-only
stringdate-time

Creation date of the task

errors
read-only
TaskError[]

Errors that occurred on the task

finishedAt
read-only
stringdate-time

Ending date of the task

id
read-only
stringuuid

Unique identifier of the task

link
read-only
string

Link to the related resource

message
read-only
string

Description of the task

progress
read-only
TaskProgress[]

Progress steps of the asynchronous operation

startedAt
read-only
stringdate-time

Starting date of the task

status
read-only
TaskStatusEnum

Current global status of the task

ValuesDONEERRORPENDINGRUNNINGSCHEDULEDWAITING_USER_INPUT
type
read-only
string

Type of the task

updatedAt
read-only
stringdate-time

Last update of the task

404objectError 404 response

Example uses contactMeanId = 00000000-0000-0000-0000-000000000000, taskId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/notification/contactMean/{contactMeanId}/task/{taskId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdAt": "2024-01-01T12:00:00Z", "errors": [ { "message": "string" } ], "finishedAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "link": "string", "message": "string", "progress": [ { "name": "string", "status": "DONE" } ], "startedAt": "2024-01-01T12:00:00Z", "status": "DONE", "type": "string", "updatedAt": "2024-01-01T12:00:00Z"}

Update a task on a contact meanProduction

PUT
/v2/notification/contactMean/{contactMeanId}/task/{taskId}

Path parameters

contactMeanId
required
stringuuid

Contact mean ID

taskId
required
stringuuid

Task ID

Request body (required)

createdAt
read-only
stringdate-time

Creation date of the task

errors
read-only
TaskError[]

Errors that occurred on the task

finishedAt
read-only
stringdate-time

Ending date of the task

id
read-only
stringuuid

Unique identifier of the task

inputs
required
TaskInputs

Contact mean task input

link
read-only
string

Link to the related resource

message
read-only
string

Description of the task

progress
read-only
TaskProgress[]

Progress steps of the asynchronous operation

startedAt
read-only
stringdate-time

Starting date of the task

status
read-only
TaskStatusEnum

Current global status of the task

ValuesDONEERRORPENDINGRUNNINGSCHEDULEDWAITING_USER_INPUT
type
read-only
string

Type of the task

updatedAt
read-only
stringdate-time

Last update of the task

Response

200Tasksuccessful operation
createdAt
read-only
stringdate-time

Creation date of the task

errors
read-only
TaskError[]

Errors that occurred on the task

finishedAt
read-only
stringdate-time

Ending date of the task

id
read-only
stringuuid

Unique identifier of the task

link
read-only
string

Link to the related resource

message
read-only
string

Description of the task

progress
read-only
TaskProgress[]

Progress steps of the asynchronous operation

startedAt
read-only
stringdate-time

Starting date of the task

status
read-only
TaskStatusEnum

Current global status of the task

ValuesDONEERRORPENDINGRUNNINGSCHEDULEDWAITING_USER_INPUT
type
read-only
string

Type of the task

updatedAt
read-only
stringdate-time

Last update of the task

400objectError 400 response
404objectError 404 response

Example uses contactMeanId = 00000000-0000-0000-0000-000000000000, taskId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/notification/contactMean/{contactMeanId}/task/{taskId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdAt": "2024-01-01T12:00:00Z", "errors": [ { "message": "string" } ], "finishedAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "link": "string", "message": "string", "progress": [ { "name": "string", "status": "DONE" } ], "startedAt": "2024-01-01T12:00:00Z", "status": "DONE", "type": "string", "updatedAt": "2024-01-01T12:00:00Z"}

Validate this contact meanProduction

POST
/v2/notification/contactMean/{contactMeanId}/validate

Path parameters

contactMeanId
required
stringuuid

Contact mean ID

Request body (required)

otp
required
string

The OTP received by your contact mean to validate it

Response

200ContactMeansuccessful operation
createdAt
read-only
stringdate-time

Date at which the contact mean was created

currentTasks
read-only
CurrentTask[]

Task to do on this contact mean

default
read-only
boolean

Is this the default contact mean

description
string

Arbitrary description for this contact mean

email
read-only
string

When type is EMAIL, the email address this contact mean uses

error
read-only
string

When status is ERROR, details about the error

id
read-only
stringuuid

Unique identifier of the contact mean

status
StatusEnum

Status of the contact mean

ValuesDISABLEDERRORTO_VALIDATEVALID
type
read-only
TypeEnum

Type of the contact mean

ValuesEMAIL
400objectError 400 response
404objectError 404 response

Example uses contactMeanId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/notification/contactMean/{contactMeanId}/validate \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "createdAt": "2024-01-01T12:00:00Z", "currentTasks": [ { "errors": [ { "message": "string" } ], "id": "00000000-0000-0000-0000-000000000000", "link": "string", "status": "ERROR", "type": "string" } ], "default": true, "description": "string", "email": "string", "error": "string", "id": "00000000-0000-0000-0000-000000000000", "status": "DISABLED", "type": "EMAIL"}

Retrieve every notification sent to youProduction

GET
/v2/notification/history

Query parameters

category
string[]

Select notifications belonging to one of these categories

createdAfter
stringdate-time

Select notifications created after this date

createdBefore
stringdate-time

Select notifications created before this date

priority
NotificationPriorityEnum[]

Select notifications matching one of these priorities

ValuesHIGHLOWMEDIUM
sortCreatedAt
SortOrderEnum

Sort by createdAt field. Defaults to DESC.

ValuesASCDESC
tags
object

Filter notifications using tag filters

titleContains
string

Select notifications which title contains this text

withSummary
boolean

Add summary field to response

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200Notification[]successful operation
attachments
read-only
Attachment[]

Attachments linked to this notification

categories
read-only
string[]

Categories of the notification

contacts
read-only
Contact[]

Contact attempts made for this notification

createdAt
read-only
stringdate-time

Date at which the notification was sent

html
read-only
string

HTML text of the notification

id
read-only
stringuuid

Unique identifier of the notification

priority
read-only
NotificationPriorityEnum

Priority of the notification

ValuesHIGHLOWMEDIUM
summary
read-only
string

Summary of the notification

tags
read-only
object

Tags of the notification

text
read-only
string

Raw text of the notification

title
read-only
string

Title of the notification

400objectError 400 response

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/v2/notification/history \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "attachments": [ { "contentType": "string", "name": "string", "sizeBytes": 0, "url": "string" } ], "categories": [ "string" ], "contacts": [ { "error": "string", "id": "00000000-0000-0000-0000-000000000000", "sentAt": "2024-01-01T12:00:00Z", "status": "BOUNCED", "to": "string", "type": "EMAIL" } ], "createdAt": "2024-01-01T12:00:00Z", "html": "string", "id": "00000000-0000-0000-0000-000000000000", "priority": "HIGH", "summary": "string", "tags": { "key": "string" }, "text": "string", "title": "string" }]

Retrieve information about a notification sent to youProduction

GET
/v2/notification/history/{notificationId}

Path parameters

notificationId
required
stringuuid

Notification ID

Response

200Notificationsuccessful operation
attachments
read-only
Attachment[]

Attachments linked to this notification

categories
read-only
string[]

Categories of the notification

contacts
read-only
Contact[]

Contact attempts made for this notification

createdAt
read-only
stringdate-time

Date at which the notification was sent

html
read-only
string

HTML text of the notification

id
read-only
stringuuid

Unique identifier of the notification

priority
read-only
NotificationPriorityEnum

Priority of the notification

ValuesHIGHLOWMEDIUM
summary
read-only
string

Summary of the notification

tags
read-only
object

Tags of the notification

text
read-only
string

Raw text of the notification

title
read-only
string

Title of the notification

404objectError 404 response

Example uses notificationId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/notification/history/{notificationId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "attachments": [ { "contentType": "string", "name": "string", "sizeBytes": 0, "url": "string" } ], "categories": [ "string" ], "contacts": [ { "error": "string", "id": "00000000-0000-0000-0000-000000000000", "sentAt": "2024-01-01T12:00:00Z", "status": "BOUNCED", "to": "string", "type": "EMAIL" } ], "createdAt": "2024-01-01T12:00:00Z", "html": "string", "id": "00000000-0000-0000-0000-000000000000", "priority": "HIGH", "summary": "string", "tags": { "key": "string" }, "text": "string", "title": "string"}

Get a notification attachmentProduction

GET
/v2/notification/history/{notificationId}/attachment/{attachmentName}

Path parameters

attachmentName
required
string

Attachment name

notificationId
required
stringuuid

Notification ID

Response

200Attachmentsuccessful operation
contentType
read-only
string

Content type of the attachment

name
read-only
string

Name of the attachment

sizeBytes
read-only
integer

Size of the attachment in bytes

url
read-only
string

URL to use to download the attachment

404objectError 404 response

Example uses attachmentName = string, notificationId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/notification/history/{notificationId}/attachment/{attachmentName} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "contentType": "string", "name": "string", "sizeBytes": 0, "url": "string"}

Retrieve data referential for /notification endpointsProduction

GET
/v2/notification/reference

Response

200Referencesuccessful operation
categories
read-only
ReferenceCategory[]

Available notification categories

priorities
read-only
ReferencePriority[]

Available notification priorities

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/v2/notification/reference \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "categories": [ { "description": "string", "name": "string" } ], "priorities": [ { "description": "string", "name": "HIGH" } ]}

Retrieve every routingProduction

GET
/v2/notification/routing

Headers

X-Pagination-Cursor
string

Pagination cursor

X-Pagination-Size
integer

Pagination size

Response

200Routing[]successful operation
active
boolean

Whether this routing is currently active

createdAt
read-only
stringdate-time

Date at which the routing was created

id
read-only
stringuuid

Unique identifier of the routing

name
string

Name of the routing

rules
Rule[]

Type of the contact mean

400objectError 400 response

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/v2/notification/routing \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ { "active": true, "createdAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "name": "string", "rules": [ { "condition": { "category": [ "string" ], "priority": [ "string" ] }, "contactMeans": [ { "email": "string", "error": "string", "id": "00000000-0000-0000-0000-000000000000", "status": "DISABLED", "type": "EMAIL" } ], "continue": true } ] }]

Create a routingProduction

POST
/v2/notification/routing

Request body (required)

active
required
boolean

Whether this routing is currently active

name
required
string

Name of the routing

rules
required
Rule[]

Type of the contact mean

Response

200Routingsuccessful operation
active
boolean

Whether this routing is currently active

createdAt
read-only
stringdate-time

Date at which the routing was created

id
read-only
stringuuid

Unique identifier of the routing

name
string

Name of the routing

rules
Rule[]

Type of the contact mean

400objectError 400 response

Reads your token from $OVH_TOKEN

$ curl https://api.eu.ovhcloud.com/v2/notification/routing \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "active": true, "createdAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "name": "string", "rules": [ { "condition": { "category": [ "string" ], "priority": [ "string" ] }, "contactMeans": [ { "email": "string", "error": "string", "id": "00000000-0000-0000-0000-000000000000", "status": "DISABLED", "type": "EMAIL" } ], "continue": true } ]}

Retrieve information about a routingProduction

GET
/v2/notification/routing/{routingId}

Path parameters

routingId
required
stringuuid

Routing ID

Response

200Routingsuccessful operation
active
boolean

Whether this routing is currently active

createdAt
read-only
stringdate-time

Date at which the routing was created

id
read-only
stringuuid

Unique identifier of the routing

name
string

Name of the routing

rules
Rule[]

Type of the contact mean

404objectError 404 response

Example uses routingId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/notification/routing/{routingId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "active": true, "createdAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "name": "string", "rules": [ { "condition": { "category": [ "string" ], "priority": [ "string" ] }, "contactMeans": [ { "email": "string", "error": "string", "id": "00000000-0000-0000-0000-000000000000", "status": "DISABLED", "type": "EMAIL" } ], "continue": true } ]}

Update a routingProduction

PUT
/v2/notification/routing/{routingId}

Path parameters

routingId
required
stringuuid

Routing ID

Request body (required)

active
boolean

Whether this routing is currently active

createdAt
read-only
stringdate-time

Date at which the routing was created

id
read-only
stringuuid

Unique identifier of the routing

name
string

Name of the routing

rules
Rule[]

Type of the contact mean

Response

200Routingsuccessful operation
active
boolean

Whether this routing is currently active

createdAt
read-only
stringdate-time

Date at which the routing was created

id
read-only
stringuuid

Unique identifier of the routing

name
string

Name of the routing

rules
Rule[]

Type of the contact mean

404objectError 404 response

Example uses routingId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/notification/routing/{routingId} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "active": true, "createdAt": "2024-01-01T12:00:00Z", "id": "00000000-0000-0000-0000-000000000000", "name": "string", "rules": [ { "condition": { "category": [ "string" ], "priority": [ "string" ] }, "contactMeans": [ { "email": "string", "error": "string", "id": "00000000-0000-0000-0000-000000000000", "status": "DISABLED", "type": "EMAIL" } ], "continue": true } ]}

Delete the routingProduction

DELETE
/v2/notification/routing/{routingId}

Path parameters

routingId
required
stringuuid

Routing ID

Response

200—successful operation

Example uses routingId = 00000000-0000-0000-0000-000000000000

$ curl https://api.eu.ovhcloud.com/v2/notification/routing/{routingId} \
  -H "authorization: Bearer $OVH_TOKEN"